<?php

namespace Aerys;

const SERVER_NAME = "aerys";
const SERVER_VERSION = "0.1.0-dev";
const SERVER_TOKEN = SERVER_NAME . "/" . SERVER_VERSION;
const HTTP_REASON = [
    100 => "Continue",
    101 => "Switching Protocols",
    200 => "OK",
    201 => "Created",
    202 => "Accepted",
    203 => "Non-Authoritative Information",
    204 => "No Content",
    205 => "Reset Content",
    206 => "Partial Content",
    300 => "Multiple Choices",
    301 => "Moved Permanently",
    302 => "Found",
    303 => "See Other",
    304 => "Not Modified",
    305 => "Use Proxy",
    307 => "Temporary Redirect",
    400 => "Bad Request",
    401 => "Unauthorized",
    402 => "Payment Required",
    403 => "Forbidden",
    404 => "Not Found",
    405 => "Method Not Allowed",
    406 => "Not Acceptable",
    407 => "Proxy Authentication Required",
    408 => "Request Timeout",
    409 => "Conflict",
    410 => "Gone",
    411 => "Length Required",
    412 => "Precondition Failed",
    413 => "Request Entity Too Large",
    414 => "Request URI Too Long",
    415 => "Unsupported Media Type",
    416 => "Requested Range Not Satisfiable",
    417 => "Expectation Failed",
    418 => "I'm A Teapot",
    426 => "Upgrade Required",
    428 => "Precondition Required",
    429 => "Too Many Requests",
    431 => "Request Header Fields Too Large",
    500 => "Internal Server Error",
    501 => "Not Implemented",
    502 => "Bad Gateway",
    503 => "Service Unavailable",
    504 => "Gateway Timeout",
    505 => "HTTP Version Not Supported",
    511 => "Network Authentication Required",
];
const HTTP_STATUS = [
    "ACCEPTED" => 202,
    "BAD_GATEWAY" => 502,
    "BAD_REQUEST" => 400,
    "CONFLICT" => 409,
    "CONTINUE" => 100,
    "CREATED" => 201,
    "EXPECTATION_FAILED" => 417,
    "FORBIDDEN" => 403,
    "FOUND" => 302,
    "GATEWAY_TIMEOUT" => 504,
    "GONE" => 410,
    "HTTP_VERSION_NOT_SUPPORTED" => 505,
    "INTERNAL_SERVER_ERROR" => 500,
    "LENGTH_REQUIRED" => 411,
    "METHOD_NOT_ALLOWED" => 405,
    "MOVED_PERMANENTLY" => 301,
    "MULTIPLE_CHOICES" => 300,
    "NETWORK_AUTHENTICATION_REQUIRED" => 511,
    "NON_AUTHORITATIVE_INFORMATION" => 203,
    "NOT_ACCEPTABLE" => 406,
    "NOT_FOUND" => 404,
    "NOT_IMPLEMENTED" => 501,
    "NOT_MODIFIED" => 304,
    "NO_CONTENT" => 204,
    "OK" => 200,
    "PARTIAL_CONTENT" => 206,
    "PAYMENT_REQUIRED" => 402,
    "PRECONDITION_FAILED" => 412,
    "PRECONDITION_REQUIRED" => 428,
    "PROXY_AUTHENTICATION_REQUIRED" => 407,
    "REQUESTED_RANGE_NOT_SATISFIABLE" => 416,
    "REQUEST_ENTITY_TOO_LARGE" => 413,
    "REQUEST_HEADER_FIELDS_TOO_LARGE" => 431,
    "REQUEST_TIMEOUT" => 408,
    "REQUEST_URI_TOO_LONG" => 414,
    "RESET_CONTENT" => 205,
    "SEE_OTHER" => 303,
    "SERVICE_UNAVAILABLE" => 503,
    "SWITCHING_PROTOCOLS" => 101,
    "TEAPOT" => 418,
    "TEMPORARY_REDIRECT" => 307,
    "TOO_MANY_REQUESTS" => 429,
    "UNAUTHORIZED" => 401,
    "UNSUPPORTED_MEDIA_TYPE" => 415,
    "UPGRADE_REQUIRED" => 426,
    "USE_PROXY" => 305,
];
